POST
/
v1
/
projects
/
{project}
/
boxes
/
{name}
/
verbs
/
{verb}
/
interactive
Attribute an interactive pack verb execution
curl --request POST \
  --url https://api.example.com/v1/projects/{project}/boxes/{name}/verbs/{verb}/interactive \
  --header 'Content-Type: application/json' \
  --data '
{
  "args": [
    "<string>"
  ]
}
'
import requests

url = "https://api.example.com/v1/projects/{project}/boxes/{name}/verbs/{verb}/interactive"

payload = { "args": ["<string>"] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({args: ['<string>']})
};

fetch('https://api.example.com/v1/projects/{project}/boxes/{name}/verbs/{verb}/interactive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>"
}

Path Parameters

project
string
required

Project name

name
string
required

Instance box name

verb
string
required

Verb name

Body

application/json
args
string[]

The trailing CLI args the interactive session was launched with (redacted against the instance's secret env values before recording).

Response

Interactive verb event recorded

id
string
required

The recorded event's id.